#include <bits/stdc++.h>

using namespace std;

int a[1000000];

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);
    int n,i,zlj=0,mx=0,pos=-1;
    cin>>n;
    for(i=0;i<n;i++){
        cin>>a[i];
        if(i>0){
            if(a[i-1]<a[i]){
                zlj=1;
            }
            if(zlj==1){
                mx=max(mx,a[i]);
                if(mx==a[i]){
                    pos=i;
                }
            }
        }
    }
    if(zlj==0){
        for(i=0;i<n-2;i++){
            cout<<a[i]<<" ";
        }
        cout<<a[n-1]<<" "<<a[n-2];
    }
    else{
        i=0;
        while(a[i]>a[pos]){
            i++;
        }
        swap(a[i],a[pos]);
        for(i=0;i<n;i++){
            cout<<a[i]<<" ";
        }
    }
    return 0;
}